Robot Simulator of the Robotics Group for Self-Organization of Control: HexapodConf Struct Reference

# HexapodConf Struct Reference

`#include <hexapod.h>`

Collaboration diagram for HexapodConf:
[legend]

List of all members.

## Public Attributes
double | size
| scaling factor for robot (diameter of body)
double | legLength
| length of the legs in units of size
int | legNumber
| number of snake elements
double | width
| body with in units of size
double | height
| body with in units of size
double | mass
| chassis mass
double | relLegmass
| relative overall leg mass
double | percentageBodyMass
double | coxaPower
| maximal force for at hip joint motors
double | coxaJointLimitV
| angle range for vertical direction of legs
double | coxaJointLimitH
| angle range for horizontal direction of legs
double | coxaDamping
| damping of hip joint servos
double | coxaSpeed
| speed of the hip servo
bool | useTebiaJoints
double | tebiaPower
| whether to use joints at the knees
double | tebiaJointLimit
| angle range for knees
double | tebiaOffset
| angle offset for knees
double | tebiaDamping
| damping in the knees
double | legSpreading
| angle at which legs are spread to the front and back
bool | tarsus
| whether to use a tarsus or not
int | numTarsusSections
| the number of sections in the tarsus
bool | useTarsusJoints
| whether to use joints on the tarsus
bool | useBigBox
| whether to use a big invisible box on the back of the robot
double | T
| T is the for the time for calculating the cost of transport over time.
double * | v
bool | ignoreInternalCollisions
bool | useContactSensors
matrix::Matrix | m
int * | legContacts
double | irSensors
bool | irFront
bool | irBack
bool | irLeft
bool | irRight
double | irRangeFront
double | irRangeBack
double | irRangeLeft
double | irRangeRight

## Member Data Documentation

double coxaDamping

damping of hip joint servos

double coxaJointLimitH

angle range for horizontal direction of legs

double coxaJointLimitV

angle range for vertical direction of legs

double coxaPower

maximal force for at hip joint motors

double coxaSpeed

speed of the hip servo

double height

body with in units of size

bool ignoreInternalCollisions

bool irBack

bool irFront

bool irLeft

double irRangeBack

double irRangeFront

double irRangeLeft

double irRangeRight

bool irRight

double irSensors

int* legContacts

double legLength

length of the legs in units of size

int legNumber

number of snake elements

double legSpreading

angle at which legs are spread to the front and back

matrix::Matrix m

double mass

chassis mass

int numTarsusSections

the number of sections in the tarsus

double percentageBodyMass

double relLegmass

relative overall leg mass

double size

scaling factor for robot (diameter of body)

double T

T is the for the time for calculating the cost of transport over time.

bool tarsus

whether to use a tarsus or not

double tebiaDamping

damping in the knees

double tebiaJointLimit

angle range for knees

double tebiaOffset

angle offset for knees

double tebiaPower

whether to use joints at the knees

spring strength in the knees

bool useBigBox

whether to use a big invisible box on the back of the robot

bool useContactSensors

bool useTarsusJoints

whether to use joints on the tarsus

bool useTebiaJoints

double* v

double width

body with in units of size

The documentation for this struct was generated from the following file:

- hexapod.h